> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cail.health/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cail.health/_mcp/server.

# Update organisation branding

PATCH https://staging.cail.health/v1/organizations/{id}/branding
Content-Type: application/json

Updates the organisation’s Auth0 Universal Login branding. Logo binaries must be uploaded via the upload endpoint first; pass the resulting R2 key as `logoKey`.

Reference: https://docs.cail.health/api-references/api-reference/manage-your-organization/set

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: cail-api
  version: 1.0.0
paths:
  /v1/organizations/{id}/branding:
    patch:
      operationId: set
      summary: Update organisation branding
      description: >-
        Updates the organisation’s Auth0 Universal Login branding. Logo binaries
        must be uploaded via the upload endpoint first; pass the resulting R2
        key as `logoKey`.
      tags:
        - subpackage_manageYourOrganization
      parameters:
        - name: id
          in: path
          description: Stable identifier of the organisation.
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Updated branding values.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Manage your organization_set_Response_200'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetBrandingRequest'
servers:
  - url: https://staging.cail.health
    description: https://staging.cail.health
components:
  schemas:
    SetBrandingRequest:
      type: object
      properties: {}
      title: SetBrandingRequest
    Manage your organization_set_Response_200:
      type: object
      properties:
        logoUrl:
          type:
            - string
            - 'null'
        primaryColor:
          type:
            - string
            - 'null'
      title: Manage your organization_set_Response_200
  securitySchemes:
    auth0Bearer:
      type: http
      scheme: bearer

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "logoUrl": "https://assets.cail.health/org/new.png",
  "primaryColor": "#049091"
}
```

**SDK Code**

```python After applying a new logo and colour
import requests

url = "https://staging.cail.health/v1/organizations/f47ac10b-58cc-4372-a567-0e02b2c3d479/branding"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript After applying a new logo and colour
const url = 'https://staging.cail.health/v1/organizations/f47ac10b-58cc-4372-a567-0e02b2c3d479/branding';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go After applying a new logo and colour
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://staging.cail.health/v1/organizations/f47ac10b-58cc-4372-a567-0e02b2c3d479/branding"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby After applying a new logo and colour
require 'uri'
require 'net/http'

url = URI("https://staging.cail.health/v1/organizations/f47ac10b-58cc-4372-a567-0e02b2c3d479/branding")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java After applying a new logo and colour
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://staging.cail.health/v1/organizations/f47ac10b-58cc-4372-a567-0e02b2c3d479/branding")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php After applying a new logo and colour
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://staging.cail.health/v1/organizations/f47ac10b-58cc-4372-a567-0e02b2c3d479/branding', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp After applying a new logo and colour
using RestSharp;

var client = new RestClient("https://staging.cail.health/v1/organizations/f47ac10b-58cc-4372-a567-0e02b2c3d479/branding");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift After applying a new logo and colour
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://staging.cail.health/v1/organizations/f47ac10b-58cc-4372-a567-0e02b2c3d479/branding")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```